Description: Fix compilation with glib 2.36 
Origin: Upstream? 

Index: gtkglextmm-1.2.0/gdkglext/gdkmm/gl/wrap_init.cc
===================================================================
--- gtkglextmm-1.2.0.orig/gdkglext/gdkmm/gl/wrap_init.cc	2013-05-16 23:40:48.363207736 +0200
+++ gtkglextmm-1.2.0/gdkglext/gdkmm/gl/wrap_init.cc	2013-05-16 23:42:40.193801834 +0200
@@ -1,15 +1,8 @@
-
-#include <glib.h>
-
 // Disable the 'const' function attribute of the get_type() functions.
 // GCC would optimize them out because we don't use the return value.
 #undef  G_GNUC_CONST
 #define G_GNUC_CONST /* empty */
 
-#include <gdkmm/gl/wrap_init.h>
-#include <glibmm/error.h>
-#include <glibmm/object.h>
-
 // #include the widget headers so that we can call the get_type() static methods:
 
 #include "tokens.h"
@@ -19,6 +12,12 @@
 #include "pixmap.h"
 #include "window.h"
 
+#include <glib.h>
+
+#include <gdkmm/gl/wrap_init.h>
+#include <glibmm/error.h>
+#include <glibmm/object.h>
+
 extern "C"
 {
 
Index: gtkglextmm-1.2.0/gdkglext/gdkmm/gl/query.cc
===================================================================
--- gtkglextmm-1.2.0.orig/gdkglext/gdkmm/gl/query.cc	2013-05-16 23:40:48.363207736 +0200
+++ gtkglextmm-1.2.0/gdkglext/gdkmm/gl/query.cc	2013-05-16 23:42:40.193801834 +0200
@@ -17,10 +17,10 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA.
  */
 
-#include <gdk/gdkglquery.h>
-
 #include "query.h"
 
+#include <gdk/gdkglquery.h>
+
 namespace Gdk
 {
   namespace GL
Index: gtkglextmm-1.2.0/gdkglext/gdkmm/gl/pixmapext.cc
===================================================================
--- gtkglextmm-1.2.0.orig/gdkglext/gdkmm/gl/pixmapext.cc	2013-05-16 23:40:48.363207736 +0200
+++ gtkglextmm-1.2.0/gdkglext/gdkmm/gl/pixmapext.cc	2013-05-16 23:42:40.193801834 +0200
@@ -17,11 +17,11 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA.
  */
 
+#include "pixmapext.h"
+
 #include <gdk/gdkgldrawable.h>
 #include <gdk/gdkglpixmap.h>
 
-#include "pixmapext.h"
-
 namespace Gdk
 {
   namespace GL
Index: gtkglextmm-1.2.0/gdkglext/gdkmm/gl/windowext.cc
===================================================================
--- gtkglextmm-1.2.0.orig/gdkglext/gdkmm/gl/windowext.cc	2013-05-16 23:40:48.363207736 +0200
+++ gtkglextmm-1.2.0/gdkglext/gdkmm/gl/windowext.cc	2013-05-16 23:42:40.193801834 +0200
@@ -17,11 +17,11 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA.
  */
 
+#include "windowext.h"
+
 #include <gdk/gdkgldrawable.h>
 #include <gdk/gdkglwindow.h>
 
-#include "windowext.h"
-
 namespace Gdk
 {
   namespace GL
Index: gtkglextmm-1.2.0/gdkglext/gdkmm/gl/font.cc
===================================================================
--- gtkglextmm-1.2.0.orig/gdkglext/gdkmm/gl/font.cc	2004-05-18 08:01:49.000000000 +0200
+++ gtkglextmm-1.2.0/gdkglext/gdkmm/gl/font.cc	2013-05-16 23:43:07.637456821 +0200
@@ -17,10 +17,10 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA.
  */
 
-#include <gdk/gdkglfont.h>
-
 #include "font.h"
 
+#include <gdk/gdkglfont.h>
+
 namespace Gdk
 {
   namespace GL
Index: gtkglextmm-1.2.0/gdkglext/gdkmm/gl/init.cc
===================================================================
--- gtkglextmm-1.2.0.orig/gdkglext/gdkmm/gl/init.cc	2003-02-27 10:49:24.000000000 +0100
+++ gtkglextmm-1.2.0/gdkglext/gdkmm/gl/init.cc	2013-05-16 23:44:38.320316782 +0200
@@ -19,11 +19,11 @@
 
 #include <cstdlib>
 
-#include <gdk/gdkglinit.h>
-
 #include "wrap_init.h"
 #include "init.h"
 
+#include <gdk/gdkglinit.h>
+
 namespace Gdk
 {
   namespace GL
